### Method

# ECal ComponentAlarm take_trigger

since: 3.34

#### Declaration [src]

    void
    e_cal_component_alarm_take_trigger (
      ECalComponentAlarm* alarm,
      ECalComponentAlarmTrigger* trigger
    )

#### Description [src]

Set the `alarm` trigger, as an `ECalComponentAlarmTrigger` and assumes ownership of the `trigger`.

Available since: 3.34

This method is not directly available to language bindings.

#### Parameters

`trigger`

  Type: `ECalComponentAlarmTrigger`

  A trigger to set, or `NULL` to unset.

  The argument can be `NULL`.
  The instance takes ownership of the data, and is responsible for freeing it.